# Facets Pretty Paths

Facets pretty paths provides the logic for improving the URL paths generated by the Facets module.

# Development

To set up a local development environment, perform the following:

1. Copy the docker-compose.yml.dist into docker-compose.yml (it will be gitignored)

2. Run the following commands:

```
$ docker-compose up -d
$ docker-compose exec php composer install
$ docker-compose exec php ./vendor/bin/run drupal:site-install
```

3. Go to [http://localhost:8080/build](http://localhost:8080/build) and you have a Drupal site running with the module and its dependencies!

Run tests as follows:

```bash
$ docker-compose exec -u www-data php ./vendor/bin/phpunit
```

To run the coding standards check, use this command:

```bash
$ docker-compose exec php ./vendor/bin/run drupal:phpcs
```

And this command to try to automatically fix coding standards issues that pop up:

```bash
$ docker-compose exec php ./vendor/bin/run drupal:phpcbf
```

# Contributions

Development is done in this repository and contributions are welcome in the form of PRs.
